%global _empty_manifest_terminate_build 0
Name:		python-esdk-obs-python
Version:	3.24.6.1
Release:	1
Summary:	OBS Python SDK
License:	Apache-2.0
URL:		https://pypi.org/project/esdk-obs-python
Source0:        https://files.pythonhosted.org/packages/source/e/esdk-obs-python/esdk-obs-python-%{version}.tar.gz
BuildArch:	noarch


%description
OBS Python SDK

%package -n python3-esdk-obs-python
Summary:	OBS Python SDK
Provides:	python-esdk-obs-python
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-esdk-obs-python
OBS Python SDK

%prep
%autosetup -n esdk-obs-python-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .

%files -n python3-esdk-obs-python -f filelist.lst
%dir %{python3_sitelib}/*

%changelog
* Thu Aug 01 2024 wangkai <13474090681@163.com> - 3.24.6.1-1
- Update to 3.24.6.1

* Fri May 17 2024 lilu <lilu@kylinos.cn> - 3.24.3-1
- Update to 3.24.3
- Added the accessLabel interface

* Thu Aug 31 2023 wangkai <13474090681@163.com> - 3.22.2-2
- Modify the version limit to resolve install fail

* Thu May 04 2023 chenchen <chen_aka_jan@163.com> - 3.22.2-1
- Update to 3.22.2

* Wed Aug 11 2021 Python_Bot <Python_Bot@openeuler.org> - 3.21.4-1
- Packiage Spec generated
